List subscription purchases
Returns customer subscriptions.
GET
/subscription_purchasesAuthorization
AuthorizationBearer token (JWT) · headerrequiredQuery parameters
shop_idintegerseller_idsstringComma-separated seller IDs.
statestringcontact_idintegerpageintegerdefault: 1
per_pageintegerdefault: 30
Responses
200
Subscription purchases list
_embeddedobjectShow propertiesHide properties
itemsSubscriptionPurchase[]Show propertiesHide properties
Array of
SubscriptionPurchase_linksHalLinksidintegershop_idintegercontact_idintegeroriginal_order_idintegerproduct_idintegerproduct_namestringstatestringcurrency_codestringtotal_renewal_feeintegerIn cents
payment_intervalstringtotal_paymentsintegerremaining_paymentsintegerfailed_attemptsintegerlast_payment_onstring<date>next_payment_onstring<date>start_datestring<date>end_datestring<date> | nullcancel_atstring<date> | nullsubscription_fee_idintegerrenewal_discountnumberdiscount_num_chargesintegerpayments_to_skipintegerpaused_bystringpaid_setup_feebooleanunitsintegercreated_onstring<date-time>updated_onstring<date-time>422
shop_id or seller_ids is required